% Simple implementation of the MLEM algorithm
% INPUT:
% number of iterations, emission sinogram, initial image estimate, system matrix, angels
% OUTPUT:
% estimated emission image 
% Jarmo Teuho 2018

function f=mlem(n_iter,p_measured,f,s,phi)

  for loop = 1:n_iter
	  
    % Forward Project to all projections
	  [fw,xp] = radon(f.*s,phi);
    
    % Compare with measured projections, Backproject to all voxels
    tmp=s.*iradon(p_measured./fw,phi,'Linear','None',1,128);
    
    % Update image and weight based on the system matrix
	  f = f./s.*tmp;

end
  
  
%endfunction
